
Redmine - Defect #8815

Invalid search results with paging

2011-07-14 14:30 - Oleg Aksenov

Status: Closed Start date: 2011-07-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.0

Description

To see this bug try to perform "Search" by any word with more than 10 results.

I reproduced this bug on both my system (1.2.0) and current Redmine.Org version.

To reproduce, please, try this:

http://www.redmine.org/search/index/redmine?issues=1&q=German

10 minutes before posting this bug search produced 73 results. On the last page, I saw only one issue (instead of expected 3).

Surprisingly, after returning to the first page I saw two issues instead of 10.

P.S. On my installation search produced 13 results. On the last page, I saw only two issues (instead of expected 3). And, after

returning to the first page I saw 10 issues but one of them was "missing" from last page.

Related issues:

Related to Redmine - Defect #8633: Pagination counts non visible issues Closed 2011-06-16

Has duplicate Redmine - Defect #16888: Search fails for issues with identical... Closed

Is duplicate of Redmine - Defect #16239: Search does not return all the results Closed

History

#1 - 2011-07-14 14:45 - Etienne Massip

- Category set to Search engine

#2 - 2011-07-14 14:45 - Etienne Massip

- Affected version (unused) set to 1.2.0

- Affected version set to 1.2.0

#3 - 2014-06-10 15:52 - Toshi MARUYAMA

- Has duplicate Defect #16888: Search fails for issues with identical created_on timestamp added

#4 - 2014-06-10 15:55 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Close as duplicate with #8815.

#8815 has more notes.

#5 - 2014-06-10 15:57 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

Close as duplicate with #8815.

#8815 has more notes.

 Sorry, it is #16239, not #8815.

#6 - 2014-06-10 15:57 - Toshi MARUYAMA

- Is duplicate of Defect #16239: Search does not return all the results added
